classification
Title: Misc/AIX-NOTES needs updating
Type: Stage: needs patch
Components: Documentation Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: open Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, georg.brandl, pitrou, r.david.murray, sable
Priority: normal Keywords: patch

Created on 2010-12-15 15:50 by pitrou, last changed 2013-10-06 18:29 by georg.brandl.

Files
File name Uploaded Description Edit
AIX-NOTES sable, 2011-02-16 12:52
aix-notes.patch r.david.murray, 2011-02-17 16:41
AIX-NOTES sable, 2011-02-18 09:59 New version with corrections
Messages (12)
msg124024 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-12-15 15:50
Sébastien, would you like to provide an updated version of that file? The current contents look hopelessly outdated.
msg128279 - (view) Author: Sébastien Sablé (sable) Date: 2011-02-10 10:54
Yes I will do that.
I am currently reinstalling some buildbot environments for Python on AIX 5.3 and AIX 6.1 and once that is done, I will rewrite the note.
msg128615 - (view) Author: Sébastien Sablé (sable) Date: 2011-02-15 18:59
Antoine,

can you take a look at issue 730467? That's a trivial patch to correct a compilation issue on AIX with a C++ compiler; and that means one less entry in the AIX-NOTES file to write before the 3.2 release...
msg128616 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-02-15 19:00
> can you take a look at issue 730467?

Yes, this is in my bug queue. But unless Georg decides otherwise, this will go in after 3.2 is released (in 3.2.1 probably).
msg128666 - (view) Author: Sébastien Sablé (sable) Date: 2011-02-16 12:52
Here is a first version of this doc for Python 3.2.
It would be great if someone could proof read it since I am not a native english speaker (though it is not high level literature...).
msg128726 - (view) Author: Sébastien Sablé (sable) Date: 2011-02-17 14:57
Could this doc be added before the 3.2 release?
I think it is convenient for the (few) AIX users and harmless.
msg128736 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-02-17 16:40
Here is a proofread diff.  I did make one substantive change: I added a comment about the test suite not running with the default maxdata and not raising memory errors with 512MB.  Is that correct?
msg128737 - (view) Author: Sébastien Sablé (sable) Date: 2011-02-17 16:42
Yes it is correct. And thank you for proof reading it too.
msg128777 - (view) Author: Sébastien Sablé (sable) Date: 2011-02-18 09:59
Here is a new version of the file:
It integrates the corrections by R. David, and I also modified the "memory limitations" section in order to use ldedit rather than some flags for the linker.
msg128834 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-02-19 08:45
Committed as r88438.  Thanks!

Please indicate how much of this needs to be backported to 2.7 and 3.1.
msg128852 - (view) Author: Sébastien Sablé (sable) Date: 2011-02-19 15:50
Great!

I intend to check that branch 2.7 works fine on AIX once I will have finished with 3.x (which should be soon).
I will then update this file for Python 2.7 (there shouldn't be much changes hopefully).
msg199107 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-10-06 18:29
Ping? :)
History
Date User Action Args
2013-10-06 18:29:15georg.brandlsetmessages: + msg199107
2011-02-19 15:50:59sablesetnosy: georg.brandl, pitrou, sable, r.david.murray, docs@python
messages: + msg128852
2011-02-19 08:45:10georg.brandlsetresolution: fixed
messages: + msg128834
nosy: georg.brandl, pitrou, sable, r.david.murray, docs@python
2011-02-18 09:59:18sablesetfiles: + AIX-NOTES
nosy: georg.brandl, pitrou, sable, r.david.murray, docs@python
messages: + msg128777
2011-02-17 16:42:49sablesetnosy: georg.brandl, pitrou, sable, r.david.murray, docs@python
messages: + msg128737
2011-02-17 16:41:03r.david.murraysetfiles: + aix-notes.patch
nosy: georg.brandl, pitrou, sable, r.david.murray, docs@python
keywords: + patch
2011-02-17 16:40:37r.david.murraysetnosy: + r.david.murray
messages: + msg128736
2011-02-17 15:05:06pitrousetnosy: + georg.brandl
2011-02-17 14:57:56sablesetnosy: pitrou, sable, docs@python
messages: + msg128726
2011-02-16 12:52:42sablesetfiles: + AIX-NOTES
nosy: pitrou, sable, docs@python
messages: + msg128666
2011-02-15 19:00:46pitrousetnosy: pitrou, sable, docs@python
messages: + msg128616
2011-02-15 18:59:24sablesetnosy: pitrou, sable, docs@python
messages: + msg128615
2011-02-10 10:54:13sablesetnosy: pitrou, sable, docs@python
messages: + msg128279
2010-12-15 15:50:52pitroucreate